﻿@import url("open-iconic/font/css/open-iconic-bootstrap.min.css");
html, body {
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  height: 100%;
  width: 100%;
}

/*div {
    border: 2px solid red;
}*/
.my-container-full {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-content: stretch;
  align-items: stretch;
  flex: 1 1 auto;
  align-self: auto;
  overflow: clip;
  height: 100%;
}

.my-content-fit {
  flex: 0 1 auto;
  align-self: auto;
}

.my-content-full {
  flex: 1 1 auto;
  align-self: auto;
  min-height: 0 !important;
}

.my-content-full-scroll {
  flex: 1 1 auto;
  align-self: auto;
  overflow-y: auto;
  min-height: 0; /* Important for flex layouts */
}

.page-container-full {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-content: stretch;
  align-items: stretch;
  flex: 1 1 auto;
  align-self: auto;
  overflow: clip;
  height: 100%;
}

.page-container-full-vscroll {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-content: stretch;
  align-items: stretch;
  flex: 1 1 auto;
  align-self: auto;
  min-height: 0;
  overflow-y: auto;
}

#blazor-error-ui {
  background: lightyellow;
  bottom: 0;
  box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
  display: none;
  left: 0;
  padding: 0.6rem 1.25rem 0.7rem 1.25rem;
  position: fixed;
  width: 100%;
  z-index: 1000;
}

#blazor-error-ui .dismiss {
  cursor: pointer;
  position: absolute;
  right: 0.75rem;
  top: 0.5rem;
}

.blazor-error-boundary {
  background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
  padding: 1rem 1rem 1rem 3.7rem;
  color: white;
}

.blazor-error-boundary::after {
  content: "An error has occurred.";
}

.e-tab {
  height: 1px;
}
.e-tab .e-toolbar.e-tab-header {
  flex: 0 1 auto;
  align-self: auto;
}
.e-tab .e-content {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-content: stretch;
  align-items: stretch;
  flex: 1 1 auto;
  align-self: auto;
  overflow-y: auto;
}
.e-tab .e-content .e-item {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-content: stretch;
  align-items: stretch;
  flex: 1 1 auto;
  align-self: auto;
}
.e-tab .e-content .tab-content-scroll {
  flex: 1 1 auto;
  align-self: auto;
  min-height: 0;
}

.sfgrid-tf {
  /*    .e-headercell-container.e-stacked-header {
      border: 2px solid lightgreen !important;
  }*/
}
.sfgrid-tf .e-headercell.e-firstcell {
  border-left: 1px solid black !important;
}
.sfgrid-tf .e-headercell {
  height: 20px !important;
  line-height: unset !important;
}
.sfgrid-tf .e-headercell .e-stackedheadercelldiv {
  padding-left: 0px !important;
}
.sfgrid-tf .e-headercell.e-stackedheadercell.e-firstcell {
  border-left: 1px solid black !important;
}

.tf-data-grid-cell {
  width: 100%;
  height: 100%;
}
.tf-data-grid-cell.no-value {
  text-align: center !important;
}
.tf-data-grid-cell.mime-image-jpeg {
  color: purple;
}
.tf-data-grid-cell.text {
  /* Text formatting */
}
.tf-data-grid-cell.text .text-container {
  width: 8.5in;
  max-width: 100%;
  aspect-ratio: 8.5/11;
  background: #fff;
  padding: 0.1in;
  box-sizing: border-box;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.18);
  display: flex;
  flex-direction: column;
  overflow: hidden;
  border: 1px solid gray;
}
.tf-data-grid-cell.text .text-content {
  flex: 1 1 auto;
  overflow: auto;
  white-space: pre-wrap; /* preserve line breaks */
  word-break: break-word;
  hyphens: auto;
  font-size: 0.5vw;
  -webkit-font-smoothing: antialiased;
  line-height: 0.95vw;
  /* make explicit <br> create a larger gap */
  /*br {
      margin-bottom: 2.75em;*/ /* adjust to taste */
  /*line-height: 50px;
      color:blue;
  }*/
}
.tf-data-grid-cell.column-type-bit {
  text-align: center;
}
.tf-data-grid-cell .data-image {
  width: 100%;
  height: auto;
  object-fit: contain;
  border: 1px solid gray;
}

.e-rowcell {
  vertical-align: top !important;
}
.e-rowcell > div {
  margin-top: 0px;
  padding-top: 0px;
  vertical-align: top;
}

.e-content, .e-richtexteditor .e-rte-iframe-content .e-content {
  padding: 3px !important;
}

.tt-container {
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 4px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
  background: #fff;
  padding: 8px 12px;
  color: black;
}
.tt-container table td:first-child {
  white-space: nowrap;
  text-align: right;
}
